[Pkg-ace-devel] r430 - in /trunk/debian: generate_pkgconfig.sh rules

tgg-guest at users.alioth.debian.org tgg-guest at users.alioth.debian.org
Sat Sep 23 12:47:49 UTC 2006


Author: tgg-guest
Date: Sat Sep 23 12:47:48 2006
New Revision: 430

URL: http://svn.debian.org/wsvn/pkg-ace/?sc=1&rev=430
Log:
Add a new script to fix .pc generation.

Added:
    trunk/debian/generate_pkgconfig.sh   (with props)
Modified:
    trunk/debian/rules

Added: trunk/debian/generate_pkgconfig.sh
URL: http://svn.debian.org/wsvn/pkg-ace/trunk/debian/generate_pkgconfig.sh?rev=430&op=file
==============================================================================
--- trunk/debian/generate_pkgconfig.sh (added)
+++ trunk/debian/generate_pkgconfig.sh Sat Sep 23 12:47:48 2006
@@ -1,0 +1,50 @@
+#!/bin/sh
+
+usage() {
+    echo "$0 file.pc.in" >& 2
+    echo "generate pkgconfig files" >& 2
+}
+
+if test $# -ne 1; then
+    usage
+    exit 1
+fi
+
+#default values
+INCDIR="$\{prefix\}/include"
+
+IN=$(echo "$1" | sed -e "s#^$ACE_ROOT/##")
+
+case "$IN" in
+ *ACE_SSL.pc.in)
+    INDIR="ace/SSL"
+    ;;
+ *TAO_Utils.pc.in)
+    INDIR="tao/Utils"
+    ;;
+ *orbsvcs/orbsvcs/TAO_*.pc.in)
+    INDIR="orbsvcs"
+    ;;
+ *)
+    INDIR=`dirname $(echo $IN | sed -e 's#^\(TAO/\|ace/\|protocols/\)##')`
+    ;;
+esac
+
+case "$IN" in
+ TAO/*)
+    VERSION="$TV"
+    ;;
+ *)
+    VERSION="$AV"
+    ;;
+esac
+
+if test "s$INDIR" != "s." ; then
+    INCDIR="$INCDIR/$INDIR"
+fi
+
+cat "$1" | sed -e 's#@prefix@#/usr#g' \
+               -e 's#@exec_prefix@#$\{prefix\}#g' \
+               -e 's#@libdir@#$\{exec_prefix\}/lib#g' \
+               -e "s#@includedir@#$INCDIR#g" \
+               -e "s#@VERSION@#$VERSION#g"

Propchange: trunk/debian/generate_pkgconfig.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: trunk/debian/rules
URL: http://svn.debian.org/wsvn/pkg-ace/trunk/debian/rules?rev=430&op=diff
==============================================================================
--- trunk/debian/rules (original)
+++ trunk/debian/rules Sat Sep 23 12:47:48 2006
@@ -7,9 +7,9 @@
 # Modified 2005, 2006 by Thomas Girard <thomas.g.girard at free.fr>
 
 INSTALL := install
-AV := 5.4.7
-TV := 1.4.7
-CV := 0.4.7
+export AV := 5.4.7
+export TV := 1.4.7
+export CV := 0.4.7
 
 ACE_SUBDIR := ACE_wrappers
 ACE_ARCHIVE := $(shell ls -1 ACE+TAO+CIAO*.tar.bz2 2>/dev/null || echo ace-archive-missing)
@@ -68,11 +68,7 @@
 	docbook-to-man $< > $@
 
 %.pc: %.pc.in
-	cat $< | sed -e 's#@prefix@#/usr#g' \
-                     -e 's#@exec_prefix@#$$\{prefix\}#g' \
-                     -e 's#@libdir@#$$\{exec_prefix\}/lib#g' \
-                     -e 's#@includedir@#$$\{prefix\}/include#g' \
-                     -e 's#@VERSION@#${AV}#g' > $@
+	sh debian/generate_pkgconfig.sh $< > $@
 
 patch-pl: extract
 	for fn in `find "$(ACE_ROOT)" -name "*.pl"`; do (echo '#!/usr/bin/perl'; cat "$$fn") > "$${fn}T"; mv "$${fn}T" "$$fn"; chmod a+x "$$fn"; done




More information about the Pkg-ace-devel mailing list